#include <bits/stdc++.h>
#define int long long
#define endl '\n'
using namespace std;
void solve()
{
    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)cin>>a[i];
    int ans=0;
    for(int i=n-1;i>=0;i--)
    {
        for(int j=i-1;j>=0;j--)
        {
            if(a[j]!=a[i]&&a[j]>0)a[j]--;
        }
        ans+=a[i];
    }
    cout<<ans;
}
int32_t main()
{
    ios_base::sync_with_stdio(false);
    cout.tie(nullptr);cin.tie(nullptr);
    solve();
}
